# Uses of Class
org.apache.avro.generic.GenericRecordBuilder

Packages that use GenericRecordBuilder
Package
Description
org.apache.avro.generic
A generic representation for Avro data.

## Uses of GenericRecordBuilder in org.apache.avro.generic

Methods in org.apache.avro.generic that return GenericRecordBuilder
Modifier and Type
Method
Description
`protected GenericRecordBuilder`
GenericRecordBuilder.`clear(int pos)`
Clears the value of the given field.
`GenericRecordBuilder`
GenericRecordBuilder.`clear(String fieldName)`
Clears the value of the given field.
`GenericRecordBuilder`
GenericRecordBuilder.`clear(Schema.Field field)`
Clears the value of the given field.
`protected GenericRecordBuilder`
GenericRecordBuilder.`set(int pos, Object value)`
Sets the value of a field.
`GenericRecordBuilder`
GenericRecordBuilder.`set(String fieldName, Object value)`
Sets the value of a field.
`GenericRecordBuilder`
GenericRecordBuilder.`set(Schema.Field field, Object value)`
Sets the value of a field.
Constructors in org.apache.avro.generic with parameters of type GenericRecordBuilder
Modifier
Constructor
Description
``
`GenericRecordBuilder(GenericRecordBuilder other)`
Creates a GenericRecordBuilder by copying an existing GenericRecordBuilder.